<template>
    <div class="tag-placeholder" @click="handleSelect">
        <div class="tag-icon">
            <app-icon size="lg" icon="tags"></app-icon>
        </div>
        <div class="tag-title">
            <h2>{{ tagName }}</h2>
        </div>
        <div class="tag-description">
            <h2>{{ tagDescription }}</h2>
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop } from 'vue-property-decorator'
import { ITag } from '@/store/types/tags'

@Component
export default class TagPlaceholder extends Vue {
    // Props

    @Prop() tag: ITag | undefined

    // Computed

    get tagName() {
        return this.tag ? this.tag.name : 'Untitled Tag'
    }

    get tagDescription() {
        if (this.tag && this.tag.description && this.tag.description.length < 1)
            return this.tag.description
        return 'No Description'
    }

    // Methods

    handleSelect() {
        this.$emit('selected', this.tag)
    }
}
</script>
